io.undertow.security.idm

## Class PasswordCredential

- java.lang.Object
- - io.undertow.security.idm.PasswordCredential

All Implemented Interfaces:
  Credential

    public final class PasswordCredential
    extends Object
    implements Credential

A Credential representing the password of an Account.

Author:
  Darran Lofthouse

### Constructor Summary

Constructors
Constructor and Description
`PasswordCredential(char[] password)`

### Method Summary

All Methods Instance Methods Concrete Methods
`char[]` `getPassword()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PasswordCredential

    public PasswordCredential(char[] password)

### Method Detail

#### getPassword

    public char[] getPassword()